.custom-youtube-wrapper {
  position: relative;
  cursor: pointer;
  display: block;
  overflow: hidden;
  background: #000;
  width: 100% !important;
  height: auto !important;
  aspect-ratio: 16 / 9;
}

.custom-youtube-wrapper .yt-thumbnail {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 16 / 9 ;
  display: block;
  transition: opacity 0.3s ease;
}

.custom-youtube-wrapper:hover .yt-thumbnail {
  opacity: 0.3;
}

.custom-play-button {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 68px;
  height: 48px;
  background: black;
  border-radius: 14px;
  transition: all 0.3s ease;
  pointer-events: none;
}

.custom-youtube-wrapper:hover .custom-play-button {
  background: red;
  transform: translate(-50%, -50%) scale(1.1);
}

.custom-play-button::after {
  content: '';
  position: absolute;
  top: 50%;
  left: 55%;
  transform: translate(-50%, -50%);
  width: 0;
  height: 0;
  border-left: 20px solid white;
  border-top: 12px solid transparent;
  border-bottom: 12px solid transparent;
}



/* L'iframe doit aussi s'adapter */
iframe.media-oembed-content {
  width: 100% !important;
  height: auto !important;
  aspect-ratio: 16 / 9;
}